Index Page cleard_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void cleard_c ( SpiceInt       ndim,
                       SpiceDouble  * array )

#### Abstract

       Fill a double precision array with zeros.

#### Required_Reading

       None.

#### Keywords

       ARRAY
       ASSIGNMENT

#### Brief_I/O

       VARIABLE  I/O   DESCRIPTION
       --------  ---  ---------------------------------------
       ndim       I   The number of elements of `array' which are to be
                      set to zero.
       array      O   Double precision array to be filled.

#### Detailed_Input

       ndim       is the number of elements in `array' which are to be
                  set to zero.

#### Detailed_Output

       array      is the double precision array which is to be filled
                  with zeros.

#### Parameters

       None.

#### Exceptions

       Error free.

       1) If ndim < 1, the array is not modified.

#### Files

       None.

#### Particulars

       None.

#### Examples

       If ndim = 4, then the contents of `array' are:

       array[0] = 0.0
       array[1] = 0.0
       array[2] = 0.0
       array[3] = 0.0

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman    (JPL)
       W.M. Owen       (JPL)

#### Version

       -CSPICE Version 1.0.0, 21-MAR-2016 (NJB) (WMO)

#### Index_Entries

       clear a d.p. array

#### Link to routine cleard_c source file cleard_c.c

    Wed Apr  5 17:54:30 2017